Subject: Re: [PATCH v2 0/4] align the behavior when opening "packed-refs"

From: Jeff King <[email-masked]>
Date: Thu, 8 May 2025 16:08:02 -0400

On Wed, May 07, 2025 at 03:51:02PM -0700, Junio C Hamano wrote:

> shejialuo <[email-masked]> writes:
> 
> > Hi All:
> >
> > As discussed in [1], we need to use mmap mechanism to open large
> > "packed_refs" file to save the memory usage. This patch mainly does the
> > following things:
> >
> > 1: Fix an issue that we would report an error when the "packed-refs"
> > file is empty, which does not align with the runtime behavior.
> > 2-4: Extract some logic from the existing code and then use these
> > created helper functions to let fsck code to use mmap necessarily
> >
> > [1] https://lore.kernel.org/git/[email-masked]
> >
> > Really thank Peff and Patrick to suggest me to do above change.
> 
> This round looks good to me.  Others?

I left a few comments that I think bear addressing (or at least some
discussion).

-Peff